Subject: Re: [PATCH] git-remote.txt: fix wrong remote refspec

From: Namhyung Kim <[email-masked]>
Date: Fri, 24 Jun 2011 01:03:06 +0900

2011-06-23 (목), 08:33 -0700, Junio C Hamano:

> And here is my attempt, on top of Namhyung's v2 of this patch.
> 
> -- >8 --
> Subject: git-remote.txt: avoid sounding as if loose refs are the only ones in the world
> 
> It was correct to say "The file $GIT_DIR/refs/heads/master stores the
> commit object name at the tip of the master branch" in the older days,
> but not anymore, as refs can be packed into $GIT_DIR/packed-refs file.
> 
> Update the document to talk in terms of a more abstract concept "ref" and
> "symbolic ref" where we are not describing the underlying implementation
> detail.
> 
> This on purpose leaves two instances of $GIT_DIR/ in the git-remote
> documentation; they do talk about $GIT_DIR/remotes/ and $GIT_DIR/branches/
> file hierarchy that used to be the place to store configuration around
> remotes before the configuration mechanism took them over.
> 
> Signed-off-by: Junio C Hamano <[email-masked]>

By quick grep-ing $GIT_DIR/refs/, I found git.txt and
glossary-content.txt might need the same treatment. Did/Could you check
out those too?

Otherwise, looks good to me.
Thanks.

-- 
Regards,
Namhyung Kim